Skip to content
Get started

Adds or updates lines on an existing product list.

ProductListUpdateProductListLinesResponse ProductLists.UpdateProductListLines(ProductListUpdateProductListLinesParamsparameters, CancellationTokencancellationToken = default)
POST/api/v2/public/stores/{store_number}/productlists/{id}

Adds or updates lines on an existing product list.

ParametersExpand Collapse
ProductListUpdateProductListLinesParams parameters
required string storeNumber

Path param: The store number.

required Long id

Path param: The product list identifier to update.

formatint64
IReadOnlyList<Line>? lines

Body param: The product list lines to add or update.

required Double Quantity

Quantity on the line.

formatdouble
Deprecatedstring? ArticleNo

Deprecated. Use product_number instead. Still accepted on input for backwards compatibility.

string? Barcode

The product barcode.

string? ProductNumber

Product number identifying the line item.

string? StockPool

Stock pool the line targets.

string apiKey

Header param

ReturnsExpand Collapse
class ProductListUpdateProductListLinesResponse:
Int? Code
formatint32
string? Data
string? Message
string? Status

Adds or updates lines on an existing product list.

ProductListUpdateProductListLinesParams parameters = new()
{
    StoreNumber = "store_number",
    ID = 0,
};

var response = await client.ProductLists.UpdateProductListLines(parameters);

Console.WriteLine(response);
{
  "code": 0,
  "data": "data",
  "message": "message",
  "status": "status"
}
Returns Examples
{
  "code": 0,
  "data": "data",
  "message": "message",
  "status": "status"
}